Skip to content

Return hotel details.

Request

The Hotel Details request retrieves, for a specified property, a additional property-level information such as description and images provided by the supplier. It is an optional request and does not need to be preceded by a Hotel Search request.

Security
bearerAuth
Query
chainCodestring, [ 2 .. 5 ] characters([a-zA-Z0-9]{2,5})required

The chain code of the requested property.

Example:chainCode=HL
propertyCodestring, <= 32 charactersrequired

The property code of the requested property (typically 5 characters).

ImageSizestring(ImageSizeEnum)

The size of the images to return.

Enum:"Large""Medium""Small""Thumbnail""ExtraLarge"
Example:ImageSize=Small
Headers
TraceIdstring, [ 10 .. 89 ] characters(^[a-zA-Z-0-9_]*[-]?[+]?$)

Used in hospitality workflows to provide a Unique transaction or tracking id for a single request and response.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
TVP-Correlation-Idstring, (uuid)

Identifier used to correlate hotel API invocations across a multi-call business flows.

Example:382c74c3-721d-4f34-80e5-57657b6cbc27
curl -i -X GET \
  'https://developer.travelport.com/_mock/apis/stays/hotel/search/propertiesdetail?chainCode=HL&propertyCode=string&ImageSize=Small' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'TVP-Correlation-Id: 382c74c3-721d-4f34-80e5-57657b6cbc27' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1'

Responses

OK - Successful Response - 200

Bodyapplication/json
PropertiesResponseobject(PropertiesResponse)

The response of a Properties endpoint request.

Response
{ "PropertiesResponse": { "Properties": { "@type": "string", "Identifier": {}, "totalProperties": 0, "propertiesPerPage": 0, "numberOfPages": 0, "PropertyInfo": [] }, "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "48fb4cd3-2ef6-4479-bea1-7c92721b988c", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [], "Warning": [] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "string", "id": "5", "NextStep": [] }, "ReferenceList": [ {} ], "CurrencyRateConversion": [ {} ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }